Loading...
Searching...
No Matches
hexahedron.icc File Reference

`hexahedron` - reference element More...

Go to the source code of this file.

## Macros

#define | _RHEOLEF_HEXA_ICC

## Variables

const size_t | dimension = 3
const Float | measure = 8
const size_t | n_vertex = 8
const point | vertex [n_vertex]
const size_t | n_face = 6
const size_t | face [n_face][4]
const size_t | n_edge = 12
const size_t | edge [n_edge][2]

## Detailed Description

`hexahedron` - reference element

Definition in file hexahedron.icc.

## Macro Definition Documentation

## _RHEOLEF_HEXA_ICC

#define _RHEOLEF_HEXA_ICC

Definition at line 2 of file hexahedron.icc.

## Variable Documentation

## dimension

const size_t dimension = 3

Definition at line 97 of file hexahedron.icc.

## measure

const Float measure = 8

Definition at line 98 of file hexahedron.icc.

## n_vertex

const size_t n_vertex = 8

Definition at line 99 of file hexahedron.icc.

## vertex

const point vertex[n_vertex]

Initial value:
= {
point(-1,-1,-1 ),
point( 1,-1,-1 ),
point( 1, 1,-1 ),
point(-1, 1,-1 ),
point(-1,-1, 1 ),
point( 1,-1, 1 ),
point( 1, 1, 1 ),
point(-1, 1, 1 ) }
point
see the point page for the full documentation

Definition at line 100 of file hexahedron.icc.

## n_face

const size_t n_face = 6

Definition at line 109 of file hexahedron.icc.

## face

const size_t face[n_face][4]

Initial value:
= {
{0, 3, 2, 1 },
{0, 4, 7, 3 },
{0, 1, 5, 4 },
{4, 5, 6, 7 },
{1, 2, 6, 5 },
{2, 3, 7, 6 } }

Definition at line 110 of file hexahedron.icc.

## n_edge

const size_t n_edge = 12

Definition at line 117 of file hexahedron.icc.

## edge

const size_t edge[n_edge][2]

Initial value:
= {
{0, 1 },
{1, 2 },
{2, 3 },
{3, 0 },
{0, 4 },
{1, 5 },
{2, 6 },
{3, 7 },
{4, 5 },
{5, 6 },
{6, 7 },
{7, 4 } }

Definition at line 118 of file hexahedron.icc.